Bug 1426196 - RFE: Change "upgraded X packages" to "download X packages" when dnf download is used
Summary: RFE: Change "upgraded X packages" to "download X packages" when dnf download ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 25
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged, UserExperience
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-23 12:11 UTC by Carlos Soriano
Modified: 2017-08-09 16:00 UTC (History)
4 users (show)

Fixed In Version: dnf-2.6.3-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-09 16:00:16 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Soriano 2017-02-23 12:11:11 UTC
Description of problem:
Was updating to rawhide using:
sudo dnf system-upgrade download --refresh --releasever=25

as stated in https://fedoraproject.org/wiki/DNF_system_upgrade 

The output of system-upgrade download is however:
Transaction Summary
=========================================================================================================
Install      92 Packages
Upgrade    2378 Packages
Remove        8 Packages
Downgrade     4 Packages

Which kinda scares that the pckages are actually going to be upgraded. I would reword that to soemthing else as "download packages" or so, or write somewhere in the summary that this operation won't actually perform the removals, install, upgrades and downgrades.

Comment 1 Honza Silhan 2017-02-27 14:56:51 UTC
when in --downloadonly mode, DNF can write some one line about saying it's just download but the transaction summary should remain.

Comment 2 Jaroslav Mracek 2017-07-21 16:25:47 UTC
I create a patch for the issue (https://github.com/rpm-software-management/dnf/pull/871).

Comment 3 Fedora Update System 2017-08-07 12:51:19 UTC
dnf-2.6.3-1.fc26 dnf-plugins-extras-2.0.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4813633f96

Comment 4 Fedora Update System 2017-08-08 01:24:49 UTC
dnf-2.6.3-1.fc26, dnf-plugins-extras-2.0.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4813633f96

Comment 5 Fedora Update System 2017-08-09 16:00:16 UTC
dnf-2.6.3-1.fc26, dnf-plugins-extras-2.0.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.